Bug 1461813 - [RFE] Provide hook for vGPU
[RFE] Provide hook for vGPU
Status: CLOSED CURRENTRELEASE
Product: ovirt-node
Classification: oVirt
Component: General (Show other bugs)
4.1
x86_64 Linux
high Severity high (vote)
: ovirt-4.1.4
: 4.1
Assigned To: Ryan Barry
cshao
: FutureFeature, Reopened, ZStream
Depends On: 1444992 1459259
Blocks: 1342223 1360443 1486524
  Show dependency treegraph
 
Reported: 2017-06-15 07:36 EDT by Michal Skrivanek
Modified: 2017-08-29 23:12 EDT (History)
20 users (show)

See Also:
Fixed In Version: ovirt-node-ng-4.1-20170714
Doc Type: Enhancement
Doc Text:
RHV-H now supports vGPU for nVidia GPUs, by including vdsm-hook-vfio-mdev.
Story Points: ---
Clone Of: 1444992
Environment:
Last Closed: 2017-07-28 10:12:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Node
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
michal.skrivanek: ovirt‑4.1?
michal.skrivanek: blocker?
rule-engine: planning_ack?
rule-engine: devel_ack+
ycui: testing_ack+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 76120 None None None 2017-06-15 07:36 EDT
oVirt gerrit 76121 None None None 2017-06-15 07:36 EDT
oVirt gerrit 76122 None None None 2017-06-15 07:36 EDT
oVirt gerrit 76123 None None None 2017-06-15 07:36 EDT
oVirt gerrit 76124 None None None 2017-06-15 07:36 EDT
oVirt gerrit 76609 None None None 2017-06-15 07:36 EDT
oVirt gerrit 76610 None None None 2017-06-15 07:36 EDT
oVirt gerrit 76611 None None None 2017-06-15 07:36 EDT
oVirt gerrit 76614 None None None 2017-06-15 07:36 EDT
oVirt gerrit 76847 None None None 2017-06-15 07:36 EDT
oVirt gerrit 76848 None None None 2017-06-15 07:36 EDT
oVirt gerrit 76924 None None None 2017-06-15 07:36 EDT
oVirt gerrit 77149 None None None 2017-06-15 07:36 EDT
oVirt gerrit 78136 None None None 2017-06-15 07:36 EDT
oVirt gerrit 78929 master MERGED host-node: add vdsm-hook-vfio-mdev 2017-07-13 09:41 EDT
oVirt gerrit 78930 ovirt-4.1 MERGED host-node: add vdsm-hook-vfio-mdev 2017-07-13 06:49 EDT

  None (edit)
Description Michal Skrivanek 2017-06-15 07:36:27 EDT
new pre-installed hook is introduced, should be on node as well
Comment 1 Ryan Barry 2017-06-15 08:05:13 EDT
In theory, this is not a problem. However, nvidia drivers have not been tested on RHVH to my knowledge.

As long as we have QE coverage for that case, this should not be a problem.

This may be a good use case for the optional channel (to include kernel-headers and whatever else the nvidia drivers need)

Ying -- do we have an environment we can test on?
Comment 3 Michal Skrivanek 2017-06-16 09:14:52 EDT
(In reply to Ryan Barry from comment #1)
> In theory, this is not a problem. However, nvidia drivers have not been
> tested on RHVH to my knowledge.

I wouldn't include them yet. But to have the hook handy would be good as we already have it on RHEL hosts. Drivers are out of scope for now even on RHEL hosts.
Comment 7 cshao 2017-07-17 03:20:16 EDT
Verify this bug according #c5.

Note You need to log in before you can comment on or make changes to this bug.